Summary:	Backend utility to get CDDB discid information from a CD-ROM
Summary(pl.UTF-8):	Narzędzie do pobierania identyfikatora CDDB kompaktu
Name:		cd-discid
Version:	1.4
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
#Source0Download: https://github.com/taem/cd-discid/tags
Source0:	https://github.com/taem/cd-discid/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	960c613556e5f220021781ef801e2409
URL:		https://github.com/taem/cd-discid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cd-discid is a backend utility to get CDDB discid information from a
CD-ROM disc.

%description -l pl.UTF-8
Cd-discid jest programem do pobierania identyfikatora CDDB kompaktu.

%prep
%setup -q

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
CPPFLAGS="%{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	STRIP=true

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README changelog
%attr(755,root,root) %{_bindir}/cd-discid
%{_mandir}/man1/cd-discid.1*
%changelog
* Mon Apr 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cd-discid.git;a=log;h=master

* Mon Apr 07 2025 Jakub Bogusz <qboosh@pld-linux.org> 385e68f
- new URLs, updated to 1.4

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 57703c6
- x32 rebuild
- release 3 (by relup.sh)

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1be3203
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 92f1e08
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8505491
- converted to UTF-8

* Mon Dec 22 2003 eothane <eothane@pld-linux.org> 755d36c
- updated to 0.9

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 20139ed
- może wrescie ktoś wykasuje to konto ?

* Mon Aug 04 2003 Jakub Bogusz <qboosh@pld-linux.org> 58de304
- use __cc macro

* Fri Jul 11 2003 ankry <ankry@pld-linux.org> 1dccbce
- URL fixes and other cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> dde9289
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 623efb7
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Feb 20 2003 Artur Frysiak <artur@frysiak.net> ec79e5b
- version 0.8

* Fri Feb 07 2003 migo <migo@pld-linux.org> 6519df9
- random description fixes

* Fri Oct 04 2002 wrobell <wrobell@pld-linux.org> e97080e
- removed some unnecessary description info
- pl summaries and descriptions

* Thu Oct 03 2002 wrobell <wrobell@pld-linux.org> 9967133
- based on template

